"use client";

import React, { createContext, useContext, useEffect, useState } from "react";



const SiteContext = createContext();

export const SiteProvider = ({ children }) => {


    const [uploadProgress, setUploadProgress] = useState({});
    

  return (
    <SiteContext.Provider
      value={{
      uploadProgress, setUploadProgress
      }}
    >
      {children}
    </SiteContext.Provider>
  );
};

export const useSiteContext = () => {
  return useContext(SiteContext);
};
